wxRuby Documentation Home

# Wx::LogTextCtrl

Using these target all the log messages can be redirected to a text control.
The text control must have been created with `TE_MULTILINE` style by the
caller previously.

## Derived from

Log

## See also

LogTextCtrl,

StreamToTextRedirector

## Methods

- LogTextCtrl.new

### LogTextCtrl.new

LogTextCtrl.new(%(arg-type)TextCtrl% textctrl)

Constructs a log target which sends all the log messages to the given text
control. The textctrl parameter cannot be `NULL`.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]